<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>htwg-labo-backend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	   <link rel="stylesheet" href="./styles/style.css">
        <link rel="stylesheet" href="./styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">htwg-labo-backend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="568pt" height="250pt"
 viewBox="0.00 0.00 568.00 249.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 245.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-245.8 564,-245.8 564,4 -4,4"/>
<text text-anchor="middle" x="280" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="98,-108.8 98,-233.8 356,-233.8 356,-108.8 98,-108.8"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="244,-116.8 244,-168.8 348,-168.8 348,-116.8 244,-116.8"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="black" points="106,-116.8 106,-168.8 236,-168.8 236,-116.8 106,-116.8"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-100.8 552,-100.8 552,-32.8 8,-32.8"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_AuthModule_exports</title>
<polygon fill="none" stroke="black" points="438,-40.8 438,-92.8 544,-92.8 544,-40.8 438,-40.8"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_AuthModule_providers</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 430,-92.8 430,-40.8 16,-40.8"/>
</g>
<!-- AuthModule -->
<g id="node1" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="339.55,-160.8 336.55,-164.8 315.55,-164.8 312.55,-160.8 252.45,-160.8 252.45,-124.8 339.55,-124.8 339.55,-160.8"/>
<text text-anchor="middle" x="296" y="-138.6" font-family="Times,serif" font-size="14.00">AuthModule</text>
</g>
<!-- AppModule -->
<g id="node2" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="274.66,-225.8 271.66,-229.8 250.66,-229.8 247.66,-225.8 191.34,-225.8 191.34,-189.8 274.66,-189.8 274.66,-225.8"/>
<text text-anchor="middle" x="233" y="-203.6" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AuthModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AuthModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M263.53,-160.91C263.53,-160.91 263.53,-179.79 263.53,-179.79"/>
<polygon fill="black" stroke="black" points="260.03,-179.79 263.53,-189.79 267.03,-179.79 260.03,-179.79"/>
</g>
<!-- AuthService  -->
<g id="node4" class="node">
<title>AuthService </title>
<polygon fill="#fb8072" stroke="black" points="535.98,-84.8 446.02,-84.8 446.02,-48.8 535.98,-48.8 535.98,-84.8"/>
<text text-anchor="middle" x="491" y="-62.6" font-family="Times,serif" font-size="14.00">AuthService </text>
</g>
<!-- AuthModule&#45;&gt;AuthService  -->
<g id="edge3" class="edge">
<title>AuthModule&#45;&gt;AuthService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M339.76,-142.8C397.25,-142.8 491,-142.8 491,-142.8 491,-142.8 491,-94.81 491,-94.81"/>
<polygon fill="black" stroke="black" points="494.5,-94.81 491,-84.81 487.5,-94.81 494.5,-94.81"/>
</g>
<!-- AppService -->
<g id="node3" class="node">
<title>AppService</title>
<ellipse fill="#fdb462" stroke="black" cx="171" cy="-142.8" rx="56.75" ry="18"/>
<text text-anchor="middle" x="171" y="-138.6" font-family="Times,serif" font-size="14.00">AppService</text>
</g>
<!-- AppService&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppService&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M209.4,-156.27C209.4,-156.27 209.4,-179.66 209.4,-179.66"/>
<polygon fill="black" stroke="black" points="205.9,-179.66 209.4,-189.66 212.9,-179.66 205.9,-179.66"/>
</g>
<!-- AuthService -->
<g id="node5" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="black" cx="363" cy="-66.8" rx="59.11" ry="18"/>
<text text-anchor="middle" x="363" y="-62.6" font-family="Times,serif" font-size="14.00">AuthService</text>
</g>
<!-- AuthService&#45;&gt;AuthModule -->
<g id="edge4" class="edge">
<title>AuthService&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M321.73,-80.04C321.73,-80.04 321.73,-114.59 321.73,-114.59"/>
<polygon fill="black" stroke="black" points="318.23,-114.59 321.73,-124.59 325.23,-114.59 318.23,-114.59"/>
</g>
<!-- JwtStrategy -->
<g id="node6" class="node">
<title>JwtStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="229" cy="-66.8" rx="56.77" ry="18"/>
<text text-anchor="middle" x="229" y="-62.6" font-family="Times,serif" font-size="14.00">JwtStrategy</text>
</g>
<!-- JwtStrategy&#45;&gt;AuthModule -->
<g id="edge5" class="edge">
<title>JwtStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M274.5,-77.69C274.5,-77.69 274.5,-114.59 274.5,-114.59"/>
<polygon fill="black" stroke="black" points="271,-114.59 274.5,-124.59 278,-114.59 271,-114.59"/>
</g>
<!-- LocalStrategy -->
<g id="node7" class="node">
<title>LocalStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="89" cy="-66.8" rx="65.4" ry="18"/>
<text text-anchor="middle" x="89" y="-62.6" font-family="Times,serif" font-size="14.00">LocalStrategy</text>
</g>
<!-- LocalStrategy&#45;&gt;AuthModule -->
<g id="edge6" class="edge">
<title>LocalStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M134.29,-80.09C134.29,-91.05 134.29,-104.8 134.29,-104.8 134.29,-104.8 263.36,-104.8 263.36,-104.8 263.36,-104.8 263.36,-114.69 263.36,-114.69"/>
<polygon fill="black" stroke="black" points="259.86,-114.69 263.36,-124.69 266.86,-114.69 259.86,-114.69"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="tab-content overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">2 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-swap"></span></h4>
                    <p class="card-text">2 Controllers</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">4 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">1 Class</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 


















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>

       <script src="./js/menu-wc.js" defer></script>
       <script nomodule src="./js/menu-wc_es5.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
